require_relative "request_parser"

module Devops
  module API3
    module Parser
      class KeyParser < RequestParser

        def create
          key = create_object_from_json_body
          fname = check_filename(key["file_name"], "Parameter 'file_name' should be a not empty string")
          kname = check_string(key["key_name"], "Parameter 'key_name' should be a not empty string")
          content = check_string(key["content"], "Parameter 'content' should be a not empty string")
          key
        end

      end
    end
  end
end
